hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Raw.H5

Contents

- Version numbers
- Types and constants
- Functions in H5.c

Synopsis

- h5_VERS_MAJOR :: Num a => a
- h5_VERS_MINOR :: Num a => a
- h5_VERS_RELEASE :: Num a => a
- h5_VERS_SUBRELEASE :: String
- vers :: Version
- h5_VERS_INFO :: String
- h5_check :: HErr_t
- newtype HErr_t = HErr_t Int32
- newtype HBool_t = HBool_t Word8
- newtype HTri_t = HTri_t Int32
- newtype CSSize = CSSize Int64
- h5_SIZEOF_SSIZE_T :: CSize
- newtype HSize_t = HSize_t Word64
- newtype HSSize_t = HSSize_t Int64
- h5_SIZEOF_HSIZE_T :: CSize
- h5_SIZEOF_HSSIZE_T :: CSize
- hSIZE_UNDEF :: HSize_t
- newtype HAddr_t = HAddr_t Word64
- hADDR_UNDEF :: HAddr_t
- h5_SIZEOF_HADDR_T :: CSize
- h5_PRINTF_HADDR_FMT :: String
- hADDR_MAX :: HAddr_t
- newtype H5_iter_order_t = H5_iter_order_t Int32
- h5_ITER_UNKNOWN :: H5_iter_order_t
- h5_ITER_INC :: H5_iter_order_t
- h5_ITER_DEC :: H5_iter_order_t
- h5_ITER_NATIVE :: H5_iter_order_t
- h5_ITER_N :: Num a => a
- h5_ITER_ERROR :: HErr_t
- h5_ITER_CONT :: HErr_t
- h5_ITER_STOP :: HErr_t
- newtype H5_index_t = H5_index_t Int32
- h5_INDEX_UNKNOWN :: H5_index_t
- h5_INDEX_NAME :: H5_index_t
- h5_INDEX_CRT_ORDER :: H5_index_t
- h5_INDEX_N :: Num a => a
- data H5_ih_info_t = H5_ih_info_t {
  - h5_ih_info_t'index_size :: HSize_t
  - h5_ih_info_t'heap_size :: HSize_t
  }
- p'H5_ih_info_t'index_size :: Ptr H5_ih_info_t -> Ptr HSize_t
- p'H5_ih_info_t'heap_size :: Ptr H5_ih_info_t -> Ptr HSize_t
- h5_open :: IO HErr_t
- p_H5open :: FunPtr (IO HErr_t)
- h5_close :: IO HErr_t
- p_H5close :: FunPtr (IO HErr_t)
- h5_dont_atexit :: IO HErr_t
- p_H5dont_atexit :: FunPtr (IO HErr_t)
- h5_garbage_collect :: IO HErr_t
- p_H5garbage_collect :: FunPtr (IO HErr_t)
- h5_set_free_list_limits :: CInt -> CInt -> CInt -> CInt -> CInt -> CInt -> IO HErr_t
- p_H5set_free_list_limits :: FunPtr (CInt -> CInt -> CInt -> CInt -> CInt -> CInt -> IO HErr_t)
- h5_get_libversion :: Out CUInt -> Out CUInt -> Out CUInt -> IO HErr_t
- p_H5get_libversion :: FunPtr (Out CUInt -> Out CUInt -> Out CUInt -> IO HErr_t)
- h5_check_version :: CUInt -> CUInt -> CUInt -> IO HErr_t
- p_H5check_version :: FunPtr (CUInt -> CUInt -> CUInt -> IO HErr_t)

# Version numbers

h5_VERS_MAJOR :: Num a => a Source #

For major interface/format changes

h5_VERS_MINOR :: Num a => a Source #

For minor interface/format changes

h5_VERS_RELEASE :: Num a => a Source #

For tweaks, bug-fixes, or development

h5_VERS_SUBRELEASE :: String Source #

For pre-releases like snap0

vers :: Version Source #

`h5_VERS_MAJOR`, et al., wrapped up as a `Version`

h5_VERS_INFO :: String Source #

Full version string

h5_check :: HErr_t Source #

Check that the HDF5 library that is linked with the current executable is the same version that these bindings were compiled against. Returns 0 on success, calls abort() on failure.

# Types and constants

newtype HErr_t Source #

Status return values. Failed integer functions in HDF5 result almost always in a negative value (unsigned failing functions sometimes return zero for failure) while successfull return is non-negative (often zero). The negative failure value is most commonly -1, but don't bet on it. The proper way to detect failure is something like:

    if((dset = H5Dopen2(file, name)) < 0)
       fprintf(stderr, "unable to open the requested datasetn");

Constructors

HErr_t Int32 |

#### Instances

Instances details

Bits HErr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

(.&.) :: HErr_t -> HErr_t -> HErr_t Source #

(.|.) :: HErr_t -> HErr_t -> HErr_t Source #

xor :: HErr_t -> HErr_t -> HErr_t Source #

complement :: HErr_t -> HErr_t Source #

shift :: HErr_t -> Int -> HErr_t Source #

rotate :: HErr_t -> Int -> HErr_t Source #

zeroBits :: HErr_t Source #

bit :: Int -> HErr_t Source #

setBit :: HErr_t -> Int -> HErr_t Source #

clearBit :: HErr_t -> Int -> HErr_t Source #

complementBit :: HErr_t -> Int -> HErr_t Source #

testBit :: HErr_t -> Int -> Bool Source #

bitSizeMaybe :: HErr_t -> Maybe Int Source #

bitSize :: HErr_t -> Int Source #

isSigned :: HErr_t -> Bool Source #

shiftL :: HErr_t -> Int -> HErr_t Source #

unsafeShiftL :: HErr_t -> Int -> HErr_t Source #

shiftR :: HErr_t -> Int -> HErr_t Source #

unsafeShiftR :: HErr_t -> Int -> HErr_t Source #

rotateL :: HErr_t -> Int -> HErr_t Source #

rotateR :: HErr_t -> Int -> HErr_t Source #

popCount :: HErr_t -> Int Source #

Bounded HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods minBound :: HErr_t Source # maxBound :: HErr_t Source #
Enum HErr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

succ :: HErr_t -> HErr_t Source #

pred :: HErr_t -> HErr_t Source #

toEnum :: Int -> HErr_t Source #

fromEnum :: HErr_t -> Int Source #

enumFrom :: HErr_t -> [HErr_t] Source #

enumFromThen :: HErr_t -> HErr_t -> [HErr_t] Source #

enumFromTo :: HErr_t -> HErr_t -> [HErr_t] Source #

enumFromThenTo :: HErr_t -> HErr_t -> HErr_t -> [HErr_t] Source #

Storable HErr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: HErr_t -> Int Source #

alignment :: HErr_t -> Int Source #

peekElemOff :: Ptr HErr_t -> Int -> IO HErr_t Source #

pokeElemOff :: Ptr HErr_t -> Int -> HErr_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HErr_t Source #

pokeByteOff :: Ptr b -> Int -> HErr_t -> IO () Source #

peek :: Ptr HErr_t -> IO HErr_t Source #

poke :: Ptr HErr_t -> HErr_t -> IO () Source #

Num HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (+) :: HErr_t -> HErr_t -> HErr_t Source # (-) :: HErr_t -> HErr_t -> HErr_t Source # (*) :: HErr_t -> HErr_t -> HErr_t Source # negate :: HErr_t -> HErr_t Source # abs :: HErr_t -> HErr_t Source # signum :: HErr_t -> HErr_t Source # fromInteger :: Integer -> HErr_t Source #
Integral HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods quot :: HErr_t -> HErr_t -> HErr_t Source # rem :: HErr_t -> HErr_t -> HErr_t Source # div :: HErr_t -> HErr_t -> HErr_t Source # mod :: HErr_t -> HErr_t -> HErr_t Source # quotRem :: HErr_t -> HErr_t -> (HErr_t, HErr_t) Source # divMod :: HErr_t -> HErr_t -> (HErr_t, HErr_t) Source # toInteger :: HErr_t -> Integer Source #
Real HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods toRational :: HErr_t -> Rational Source #
Show HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> HErr_t -> ShowS Source # show :: HErr_t -> String Source # showList :: [HErr_t] -> ShowS Source #
Eq HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: HErr_t -> HErr_t -> Bool Source # (/=) :: HErr_t -> HErr_t -> Bool Source #
Ord HErr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods compare :: HErr_t -> HErr_t -> Ordering Source # (<) :: HErr_t -> HErr_t -> Bool Source # (<=) :: HErr_t -> HErr_t -> Bool Source # (>) :: HErr_t -> HErr_t -> Bool Source # (>=) :: HErr_t -> HErr_t -> Bool Source # max :: HErr_t -> HErr_t -> HErr_t Source # min :: HErr_t -> HErr_t -> HErr_t Source #
HDFResultType HErr_t Source # |
Instance details Defined in Bindings.HDF5.Core.HDFResultType Methods isError :: HErr_t -> Bool Source #
NativeType HErr_t Source # |
Instance details Defined in Bindings.HDF5.Datatype.Internal Methods nativeTypeId :: Tagged HErr_t Datatype Source #

newtype HBool_t Source #

Boolean type. Successful return values are zero (false) or positive (true). The typical true value is 1 but don't bet on it. Boolean functions cannot fail. Functions that return `htri_t` however return zero (false), positive (true), or negative (failure). The proper way to test for truth from a htri_t function is:

     if ((retval = H5Tcommitted(type))>0) {
       printf("data type is committedn");
     } else if (!retval) {
       printf("data type is not committedn");
     } else {
       printf("error determining whether data type is committedn");
     }

Constructors

HBool_t Word8 |

#### Instances

Instances details

Storable HBool_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: HBool_t -> Int Source #

alignment :: HBool_t -> Int Source #

peekElemOff :: Ptr HBool_t -> Int -> IO HBool_t Source #

pokeElemOff :: Ptr HBool_t -> Int -> HBool_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HBool_t Source #

pokeByteOff :: Ptr b -> Int -> HBool_t -> IO () Source #

peek :: Ptr HBool_t -> IO HBool_t Source #

poke :: Ptr HBool_t -> HBool_t -> IO () Source #

Show HBool_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> HBool_t -> ShowS Source # show :: HBool_t -> String Source # showList :: [HBool_t] -> ShowS Source #
Eq HBool_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: HBool_t -> HBool_t -> Bool Source # (/=) :: HBool_t -> HBool_t -> Bool Source #
NativeType HBool_t Source # |
Instance details Defined in Bindings.HDF5.Datatype.Internal Methods nativeTypeId :: Tagged HBool_t Datatype Source #

newtype HTri_t Source #

Constructors

HTri_t Int32 |

#### Instances

Instances details

Storable HTri_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: HTri_t -> Int Source #

alignment :: HTri_t -> Int Source #

peekElemOff :: Ptr HTri_t -> Int -> IO HTri_t Source #

pokeElemOff :: Ptr HTri_t -> Int -> HTri_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HTri_t Source #

pokeByteOff :: Ptr b -> Int -> HTri_t -> IO () Source #

peek :: Ptr HTri_t -> IO HTri_t Source #

poke :: Ptr HTri_t -> HTri_t -> IO () Source #

Show HTri_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> HTri_t -> ShowS Source # show :: HTri_t -> String Source # showList :: [HTri_t] -> ShowS Source #
Eq HTri_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: HTri_t -> HTri_t -> Bool Source # (/=) :: HTri_t -> HTri_t -> Bool Source #
HDFResultType HTri_t Source # |
Instance details Defined in Bindings.HDF5.Core.HDFResultType Methods isError :: HTri_t -> Bool Source #

newtype CSSize Source #

C signed size type. This is a semi-standard POSIX type that isn't in the Foreign.C.Types module. It is in System.Posix.Types, but I'm not sure whether that module is available on all platforms.

Constructors

CSSize Int64 |

#### Instances

Instances details

Bits CSSize Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

(.&.) :: CSSize -> CSSize -> CSSize Source #

(.|.) :: CSSize -> CSSize -> CSSize Source #

xor :: CSSize -> CSSize -> CSSize Source #

complement :: CSSize -> CSSize Source #

shift :: CSSize -> Int -> CSSize Source #

rotate :: CSSize -> Int -> CSSize Source #

zeroBits :: CSSize Source #

bit :: Int -> CSSize Source #

setBit :: CSSize -> Int -> CSSize Source #

clearBit :: CSSize -> Int -> CSSize Source #

complementBit :: CSSize -> Int -> CSSize Source #

testBit :: CSSize -> Int -> Bool Source #

bitSizeMaybe :: CSSize -> Maybe Int Source #

bitSize :: CSSize -> Int Source #

isSigned :: CSSize -> Bool Source #

shiftL :: CSSize -> Int -> CSSize Source #

unsafeShiftL :: CSSize -> Int -> CSSize Source #

shiftR :: CSSize -> Int -> CSSize Source #

unsafeShiftR :: CSSize -> Int -> CSSize Source #

rotateL :: CSSize -> Int -> CSSize Source #

rotateR :: CSSize -> Int -> CSSize Source #

popCount :: CSSize -> Int Source #

Bounded CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods minBound :: CSSize Source # maxBound :: CSSize Source #
Enum CSSize Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

succ :: CSSize -> CSSize Source #

pred :: CSSize -> CSSize Source #

toEnum :: Int -> CSSize Source #

fromEnum :: CSSize -> Int Source #

enumFrom :: CSSize -> [CSSize] Source #

enumFromThen :: CSSize -> CSSize -> [CSSize] Source #

enumFromTo :: CSSize -> CSSize -> [CSSize] Source #

enumFromThenTo :: CSSize -> CSSize -> CSSize -> [CSSize] Source #

Storable CSSize Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: CSSize -> Int Source #

alignment :: CSSize -> Int Source #

peekElemOff :: Ptr CSSize -> Int -> IO CSSize Source #

pokeElemOff :: Ptr CSSize -> Int -> CSSize -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO CSSize Source #

pokeByteOff :: Ptr b -> Int -> CSSize -> IO () Source #

peek :: Ptr CSSize -> IO CSSize Source #

poke :: Ptr CSSize -> CSSize -> IO () Source #

Num CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (+) :: CSSize -> CSSize -> CSSize Source # (-) :: CSSize -> CSSize -> CSSize Source # (*) :: CSSize -> CSSize -> CSSize Source # negate :: CSSize -> CSSize Source # abs :: CSSize -> CSSize Source # signum :: CSSize -> CSSize Source # fromInteger :: Integer -> CSSize Source #
Integral CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods quot :: CSSize -> CSSize -> CSSize Source # rem :: CSSize -> CSSize -> CSSize Source # div :: CSSize -> CSSize -> CSSize Source # mod :: CSSize -> CSSize -> CSSize Source # quotRem :: CSSize -> CSSize -> (CSSize, CSSize) Source # divMod :: CSSize -> CSSize -> (CSSize, CSSize) Source # toInteger :: CSSize -> Integer Source #
Real CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods toRational :: CSSize -> Rational Source #
Show CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> CSSize -> ShowS Source # show :: CSSize -> String Source # showList :: [CSSize] -> ShowS Source #
Eq CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: CSSize -> CSSize -> Bool Source # (/=) :: CSSize -> CSSize -> Bool Source #
Ord CSSize Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods compare :: CSSize -> CSSize -> Ordering Source # (<) :: CSSize -> CSSize -> Bool Source # (<=) :: CSSize -> CSSize -> Bool Source # (>) :: CSSize -> CSSize -> Bool Source # (>=) :: CSSize -> CSSize -> Bool Source # max :: CSSize -> CSSize -> CSSize Source # min :: CSSize -> CSSize -> CSSize Source #

h5_SIZEOF_SSIZE_T :: CSize Source #

newtype HSize_t Source #

Constructors

HSize_t Word64 |

#### Instances

Instances details

Bits HSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

(.&.) :: HSize_t -> HSize_t -> HSize_t Source #

(.|.) :: HSize_t -> HSize_t -> HSize_t Source #

xor :: HSize_t -> HSize_t -> HSize_t Source #

complement :: HSize_t -> HSize_t Source #

shift :: HSize_t -> Int -> HSize_t Source #

rotate :: HSize_t -> Int -> HSize_t Source #

zeroBits :: HSize_t Source #

bit :: Int -> HSize_t Source #

setBit :: HSize_t -> Int -> HSize_t Source #

clearBit :: HSize_t -> Int -> HSize_t Source #

complementBit :: HSize_t -> Int -> HSize_t Source #

testBit :: HSize_t -> Int -> Bool Source #

bitSizeMaybe :: HSize_t -> Maybe Int Source #

bitSize :: HSize_t -> Int Source #

isSigned :: HSize_t -> Bool Source #

shiftL :: HSize_t -> Int -> HSize_t Source #

unsafeShiftL :: HSize_t -> Int -> HSize_t Source #

shiftR :: HSize_t -> Int -> HSize_t Source #

unsafeShiftR :: HSize_t -> Int -> HSize_t Source #

rotateL :: HSize_t -> Int -> HSize_t Source #

rotateR :: HSize_t -> Int -> HSize_t Source #

popCount :: HSize_t -> Int Source #

Bounded HSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods minBound :: HSize_t Source # maxBound :: HSize_t Source #
Enum HSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

succ :: HSize_t -> HSize_t Source #

pred :: HSize_t -> HSize_t Source #

toEnum :: Int -> HSize_t Source #

fromEnum :: HSize_t -> Int Source #

enumFrom :: HSize_t -> [HSize_t] Source #

enumFromThen :: HSize_t -> HSize_t -> [HSize_t] Source #

enumFromTo :: HSize_t -> HSize_t -> [HSize_t] Source #

enumFromThenTo :: HSize_t -> HSize_t -> HSize_t -> [HSize_t] Source #

Storable HSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: HSize_t -> Int Source #

alignment :: HSize_t -> Int Source #

peekElemOff :: Ptr HSize_t -> Int -> IO HSize_t Source #

pokeElemOff :: Ptr HSize_t -> Int -> HSize_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HSize_t Source #

pokeByteOff :: Ptr b -> Int -> HSize_t -> IO () Source #

peek :: Ptr HSize_t -> IO HSize_t Source #

poke :: Ptr HSize_t -> HSize_t -> IO () Source #

Num HSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (+) :: HSize_t -> HSize_t -> HSize_t Source # (-) :: HSize_t -> HSize_t -> HSize_t Source # (*) :: HSize_t -> HSize_t -> HSize_t Source # negate :: HSize_t -> HSize_t Source # abs :: HSize_t -> HSize_t Source # signum :: HSize_t -> HSize_t Source # fromInteger :: Integer -> HSize_t Source #
Integral HSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

quot :: HSize_t -> HSize_t -> HSize_t Source #

rem :: HSize_t -> HSize_t -> HSize_t Source #

div :: HSize_t -> HSize_t -> HSize_t Source #

mod :: HSize_t -> HSize_t -> HSize_t Source #

quotRem :: HSize_t -> HSize_t -> (HSize_t, HSize_t) Source #

divMod :: HSize_t -> HSize_t -> (HSize_t, HSize_t) Source #

toInteger :: HSize_t -> Integer Source #

Real HSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods toRational :: HSize_t -> Rational Source #
Show HSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> HSize_t -> ShowS Source # show :: HSize_t -> String Source # showList :: [HSize_t] -> ShowS Source #
Eq HSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: HSize_t -> HSize_t -> Bool Source # (/=) :: HSize_t -> HSize_t -> Bool Source #
Ord HSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods compare :: HSize_t -> HSize_t -> Ordering Source # (<) :: HSize_t -> HSize_t -> Bool Source # (<=) :: HSize_t -> HSize_t -> Bool Source # (>) :: HSize_t -> HSize_t -> Bool Source # (>=) :: HSize_t -> HSize_t -> Bool Source # max :: HSize_t -> HSize_t -> HSize_t Source # min :: HSize_t -> HSize_t -> HSize_t Source #

newtype HSSize_t Source #

Constructors

HSSize_t Int64 |

#### Instances

Instances details

Bits HSSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

(.&.) :: HSSize_t -> HSSize_t -> HSSize_t Source #

(.|.) :: HSSize_t -> HSSize_t -> HSSize_t Source #

xor :: HSSize_t -> HSSize_t -> HSSize_t Source #

complement :: HSSize_t -> HSSize_t Source #

shift :: HSSize_t -> Int -> HSSize_t Source #

rotate :: HSSize_t -> Int -> HSSize_t Source #

zeroBits :: HSSize_t Source #

bit :: Int -> HSSize_t Source #

setBit :: HSSize_t -> Int -> HSSize_t Source #

clearBit :: HSSize_t -> Int -> HSSize_t Source #

complementBit :: HSSize_t -> Int -> HSSize_t Source #

testBit :: HSSize_t -> Int -> Bool Source #

bitSizeMaybe :: HSSize_t -> Maybe Int Source #

bitSize :: HSSize_t -> Int Source #

isSigned :: HSSize_t -> Bool Source #

shiftL :: HSSize_t -> Int -> HSSize_t Source #

unsafeShiftL :: HSSize_t -> Int -> HSSize_t Source #

shiftR :: HSSize_t -> Int -> HSSize_t Source #

unsafeShiftR :: HSSize_t -> Int -> HSSize_t Source #

rotateL :: HSSize_t -> Int -> HSSize_t Source #

rotateR :: HSSize_t -> Int -> HSSize_t Source #

popCount :: HSSize_t -> Int Source #

Bounded HSSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods minBound :: HSSize_t Source # maxBound :: HSSize_t Source #
Enum HSSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

succ :: HSSize_t -> HSSize_t Source #

pred :: HSSize_t -> HSSize_t Source #

toEnum :: Int -> HSSize_t Source #

fromEnum :: HSSize_t -> Int Source #

enumFrom :: HSSize_t -> [HSSize_t] Source #

enumFromThen :: HSSize_t -> HSSize_t -> [HSSize_t] Source #

enumFromTo :: HSSize_t -> HSSize_t -> [HSSize_t] Source #

enumFromThenTo :: HSSize_t -> HSSize_t -> HSSize_t -> [HSSize_t] Source #

Storable HSSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: HSSize_t -> Int Source #

alignment :: HSSize_t -> Int Source #

peekElemOff :: Ptr HSSize_t -> Int -> IO HSSize_t Source #

pokeElemOff :: Ptr HSSize_t -> Int -> HSSize_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HSSize_t Source #

pokeByteOff :: Ptr b -> Int -> HSSize_t -> IO () Source #

peek :: Ptr HSSize_t -> IO HSSize_t Source #

poke :: Ptr HSSize_t -> HSSize_t -> IO () Source #

Num HSSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (+) :: HSSize_t -> HSSize_t -> HSSize_t Source # (-) :: HSSize_t -> HSSize_t -> HSSize_t Source # (*) :: HSSize_t -> HSSize_t -> HSSize_t Source # negate :: HSSize_t -> HSSize_t Source # abs :: HSSize_t -> HSSize_t Source # signum :: HSSize_t -> HSSize_t Source # fromInteger :: Integer -> HSSize_t Source #
Integral HSSize_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

quot :: HSSize_t -> HSSize_t -> HSSize_t Source #

rem :: HSSize_t -> HSSize_t -> HSSize_t Source #

div :: HSSize_t -> HSSize_t -> HSSize_t Source #

mod :: HSSize_t -> HSSize_t -> HSSize_t Source #

quotRem :: HSSize_t -> HSSize_t -> (HSSize_t, HSSize_t) Source #

divMod :: HSSize_t -> HSSize_t -> (HSSize_t, HSSize_t) Source #

toInteger :: HSSize_t -> Integer Source #

Real HSSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods toRational :: HSSize_t -> Rational Source #
Show HSSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> HSSize_t -> ShowS Source # show :: HSSize_t -> String Source # showList :: [HSSize_t] -> ShowS Source #
Eq HSSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: HSSize_t -> HSSize_t -> Bool Source # (/=) :: HSSize_t -> HSSize_t -> Bool Source #
Ord HSSize_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods compare :: HSSize_t -> HSSize_t -> Ordering Source # (<) :: HSSize_t -> HSSize_t -> Bool Source # (<=) :: HSSize_t -> HSSize_t -> Bool Source # (>) :: HSSize_t -> HSSize_t -> Bool Source # (>=) :: HSSize_t -> HSSize_t -> Bool Source # max :: HSSize_t -> HSSize_t -> HSSize_t Source # min :: HSSize_t -> HSSize_t -> HSSize_t Source #

h5_SIZEOF_HSIZE_T :: CSize Source #

h5_SIZEOF_HSSIZE_T :: CSize Source #

hSIZE_UNDEF :: HSize_t Source #

newtype HAddr_t Source #

Constructors

HAddr_t Word64 |

#### Instances

Instances details

Bits HAddr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

(.&.) :: HAddr_t -> HAddr_t -> HAddr_t Source #

(.|.) :: HAddr_t -> HAddr_t -> HAddr_t Source #

xor :: HAddr_t -> HAddr_t -> HAddr_t Source #

complement :: HAddr_t -> HAddr_t Source #

shift :: HAddr_t -> Int -> HAddr_t Source #

rotate :: HAddr_t -> Int -> HAddr_t Source #

zeroBits :: HAddr_t Source #

bit :: Int -> HAddr_t Source #

setBit :: HAddr_t -> Int -> HAddr_t Source #

clearBit :: HAddr_t -> Int -> HAddr_t Source #

complementBit :: HAddr_t -> Int -> HAddr_t Source #

testBit :: HAddr_t -> Int -> Bool Source #

bitSizeMaybe :: HAddr_t -> Maybe Int Source #

bitSize :: HAddr_t -> Int Source #

isSigned :: HAddr_t -> Bool Source #

shiftL :: HAddr_t -> Int -> HAddr_t Source #

unsafeShiftL :: HAddr_t -> Int -> HAddr_t Source #

shiftR :: HAddr_t -> Int -> HAddr_t Source #

unsafeShiftR :: HAddr_t -> Int -> HAddr_t Source #

rotateL :: HAddr_t -> Int -> HAddr_t Source #

rotateR :: HAddr_t -> Int -> HAddr_t Source #

popCount :: HAddr_t -> Int Source #

Bounded HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods minBound :: HAddr_t Source # maxBound :: HAddr_t Source #
Enum HAddr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

succ :: HAddr_t -> HAddr_t Source #

pred :: HAddr_t -> HAddr_t Source #

toEnum :: Int -> HAddr_t Source #

fromEnum :: HAddr_t -> Int Source #

enumFrom :: HAddr_t -> [HAddr_t] Source #

enumFromThen :: HAddr_t -> HAddr_t -> [HAddr_t] Source #

enumFromTo :: HAddr_t -> HAddr_t -> [HAddr_t] Source #

enumFromThenTo :: HAddr_t -> HAddr_t -> HAddr_t -> [HAddr_t] Source #

Storable HAddr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: HAddr_t -> Int Source #

alignment :: HAddr_t -> Int Source #

peekElemOff :: Ptr HAddr_t -> Int -> IO HAddr_t Source #

pokeElemOff :: Ptr HAddr_t -> Int -> HAddr_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HAddr_t Source #

pokeByteOff :: Ptr b -> Int -> HAddr_t -> IO () Source #

peek :: Ptr HAddr_t -> IO HAddr_t Source #

poke :: Ptr HAddr_t -> HAddr_t -> IO () Source #

Num HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (+) :: HAddr_t -> HAddr_t -> HAddr_t Source # (-) :: HAddr_t -> HAddr_t -> HAddr_t Source # (*) :: HAddr_t -> HAddr_t -> HAddr_t Source # negate :: HAddr_t -> HAddr_t Source # abs :: HAddr_t -> HAddr_t Source # signum :: HAddr_t -> HAddr_t Source # fromInteger :: Integer -> HAddr_t Source #
Integral HAddr_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

quot :: HAddr_t -> HAddr_t -> HAddr_t Source #

rem :: HAddr_t -> HAddr_t -> HAddr_t Source #

div :: HAddr_t -> HAddr_t -> HAddr_t Source #

mod :: HAddr_t -> HAddr_t -> HAddr_t Source #

quotRem :: HAddr_t -> HAddr_t -> (HAddr_t, HAddr_t) Source #

divMod :: HAddr_t -> HAddr_t -> (HAddr_t, HAddr_t) Source #

toInteger :: HAddr_t -> Integer Source #

Real HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods toRational :: HAddr_t -> Rational Source #
Show HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> HAddr_t -> ShowS Source # show :: HAddr_t -> String Source # showList :: [HAddr_t] -> ShowS Source #
Eq HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: HAddr_t -> HAddr_t -> Bool Source # (/=) :: HAddr_t -> HAddr_t -> Bool Source #
Ord HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods compare :: HAddr_t -> HAddr_t -> Ordering Source # (<) :: HAddr_t -> HAddr_t -> Bool Source # (<=) :: HAddr_t -> HAddr_t -> Bool Source # (>) :: HAddr_t -> HAddr_t -> Bool Source # (>=) :: HAddr_t -> HAddr_t -> Bool Source # max :: HAddr_t -> HAddr_t -> HAddr_t Source # min :: HAddr_t -> HAddr_t -> HAddr_t Source #
HDFResultType HAddr_t Source # |
Instance details Defined in Bindings.HDF5.Core.HDFResultType Methods isError :: HAddr_t -> Bool Source #

hADDR_UNDEF :: HAddr_t Source #

h5_SIZEOF_HADDR_T :: CSize Source #

h5_PRINTF_HADDR_FMT :: String Source #

hADDR_MAX :: HAddr_t Source #

newtype H5_iter_order_t Source #

Common iteration orders

Constructors

H5_iter_order_t Int32 |

#### Instances

Instances details

Storable H5_iter_order_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: H5_iter_order_t -> Int Source #

alignment :: H5_iter_order_t -> Int Source #

peekElemOff :: Ptr H5_iter_order_t -> Int -> IO H5_iter_order_t Source #

pokeElemOff :: Ptr H5_iter_order_t -> Int -> H5_iter_order_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5_iter_order_t Source #

pokeByteOff :: Ptr b -> Int -> H5_iter_order_t -> IO () Source #

peek :: Ptr H5_iter_order_t -> IO H5_iter_order_t Source #

poke :: Ptr H5_iter_order_t -> H5_iter_order_t -> IO () Source #

Show H5_iter_order_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> H5_iter_order_t -> ShowS Source # show :: H5_iter_order_t -> String Source # showList :: [H5_iter_order_t] -> ShowS Source #
HDFResultType H5_iter_order_t Source # |
Instance details Defined in Bindings.HDF5.Core.HDFResultType Methods isError :: H5_iter_order_t -> Bool Source #

h5_ITER_UNKNOWN :: H5_iter_order_t Source #

Unknown order

h5_ITER_INC :: H5_iter_order_t Source #

Increasing order

h5_ITER_DEC :: H5_iter_order_t Source #

Decreasing order

h5_ITER_NATIVE :: H5_iter_order_t Source #

No particular order, whatever is fastest

h5_ITER_N :: Num a => a Source #

Number of iteration orders

h5_ITER_ERROR :: HErr_t Source #

Iteration callback return value indicating that iteration should stop and report an error.

h5_ITER_CONT :: HErr_t Source #

Iteration callback return value indicating that iteration should continue.

h5_ITER_STOP :: HErr_t Source #

Iteration callback return value indicating that iteration should stop without error.

Actually, any postive value will cause the iterator to stop and pass back that positive value to the function that called the iterator

newtype H5_index_t Source #

The types of indices on links in groups/attributes on objects. Primarily used for "<do> <foo> by index" routines and for iterating over links in groups/attributes on objects.

Constructors

H5_index_t Int32 |

#### Instances

Instances details

Storable H5_index_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: H5_index_t -> Int Source #

alignment :: H5_index_t -> Int Source #

peekElemOff :: Ptr H5_index_t -> Int -> IO H5_index_t Source #

pokeElemOff :: Ptr H5_index_t -> Int -> H5_index_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5_index_t Source #

pokeByteOff :: Ptr b -> Int -> H5_index_t -> IO () Source #

peek :: Ptr H5_index_t -> IO H5_index_t Source #

poke :: Ptr H5_index_t -> H5_index_t -> IO () Source #

Show H5_index_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> H5_index_t -> ShowS Source # show :: H5_index_t -> String Source # showList :: [H5_index_t] -> ShowS Source #
HDFResultType H5_index_t Source # |
Instance details Defined in Bindings.HDF5.Core.HDFResultType Methods isError :: H5_index_t -> Bool Source #

h5_INDEX_UNKNOWN :: H5_index_t Source #

Unknown index type

h5_INDEX_NAME :: H5_index_t Source #

Index on names

h5_INDEX_CRT_ORDER :: H5_index_t Source #

Index on creation order

h5_INDEX_N :: Num a => a Source #

Number of indices defined

data H5_ih_info_t Source #

Storage info struct used by `H5O_info_t` and `H5F_info_t`

Constructors

H5_ih_info_t |

Fields

- h5_ih_info_t'index_size :: HSize_t
- h5_ih_info_t'heap_size :: HSize_t

#### Instances

Instances details

Storable H5_ih_info_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5

Methods

sizeOf :: H5_ih_info_t -> Int Source #

alignment :: H5_ih_info_t -> Int Source #

peekElemOff :: Ptr H5_ih_info_t -> Int -> IO H5_ih_info_t Source #

pokeElemOff :: Ptr H5_ih_info_t -> Int -> H5_ih_info_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5_ih_info_t Source #

pokeByteOff :: Ptr b -> Int -> H5_ih_info_t -> IO () Source #

peek :: Ptr H5_ih_info_t -> IO H5_ih_info_t Source #

poke :: Ptr H5_ih_info_t -> H5_ih_info_t -> IO () Source #

Show H5_ih_info_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods showsPrec :: Int -> H5_ih_info_t -> ShowS Source # show :: H5_ih_info_t -> String Source # showList :: [H5_ih_info_t] -> ShowS Source #
Eq H5_ih_info_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5 Methods (==) :: H5_ih_info_t -> H5_ih_info_t -> Bool Source # (/=) :: H5_ih_info_t -> H5_ih_info_t -> Bool Source #

# Functions in H5.c

p'H5_ih_info_t'index_size :: Ptr H5_ih_info_t -> Ptr HSize_t Source #

Initialize the library. This is normally called automatically, but if you find that an HDF5 library function is failing inexplicably, then try calling this function first.

Return: Non-negative on success/Negative on failure

    herr_t H5open(void);

p'H5_ih_info_t'heap_size :: Ptr H5_ih_info_t -> Ptr HSize_t Source #

h5_open :: IO HErr_t Source #

p_H5open :: FunPtr (IO HErr_t) Source #

h5_close :: IO HErr_t Source #

Terminate the library and release all resources.

Return: Non-negative on success/Negative on failure

    herr_t H5close(void);

p_H5close :: FunPtr (IO HErr_t) Source #

h5_dont_atexit :: IO HErr_t Source #

Indicates that the library is not to clean up after itself when the application exits by calling exit() or returning from main(). This function must be called before any other HDF5 function or constant is used or it will have no effect.

If this function is used then certain memory buffers will not be de-allocated nor will open files be flushed automatically. The application may still call H5close() explicitly to accomplish these things.

Return: non-negative on success, negative if this function is called more than once or if it is called too late.

    herr_t H5dont_atexit(void);

p_H5dont_atexit :: FunPtr (IO HErr_t) Source #

h5_garbage_collect :: IO HErr_t Source #

Walks through all the garbage collection routines for the library, which are supposed to free any unused memory they have allocated.

These should probably be registered dynamicly in a linked list of functions to call, but there aren't that many right now, so we hard-wire them...

Return: non-negative on success, negative on failure

    herr_t H5garbage_collect(void);

p_H5garbage_collect :: FunPtr (IO HErr_t) Source #

h5_set_free_list_limits :: CInt -> CInt -> CInt -> CInt -> CInt -> CInt -> IO HErr_t Source #

Sets limits on the different kinds of free lists. Setting a value of -1 for a limit means no limit of that type. These limits are global for the entire library. Each "global" limit only applies to free lists of that type, so if an application sets a limit of 1 MB on each of the global lists, up to 3 MB of total storage might be allocated (1MB on each of regular, array and block type lists).

The settings for block free lists are duplicated to factory free lists. Factory free list limits cannot be set independently currently.

Parameters:

`reg_global_lim :: CInt`
  The limit on all "regular" free list memory used
`reg_list_lim :: CInt`
  The limit on memory used in each "regular" free list
`arr_global_lim :: CInt`
  The limit on all "array" free list memory used
`arr_list_lim :: CInt`
  The limit on memory used in each "array" free list
`blk_global_lim :: CInt`
  The limit on all "block" free list memory used
`blk_list_lim :: CInt`
  The limit on memory used in each "block" free list

Return: non-negative on success, negative on failure

    herr_t H5set_free_list_limits (int reg_global_lim, int reg_list_lim,
            int arr_global_lim, int arr_list_lim, int blk_global_lim,
            int blk_list_lim);

p_H5set_free_list_limits :: FunPtr (CInt -> CInt -> CInt -> CInt -> CInt -> CInt -> IO HErr_t) Source #

h5_get_libversion :: Out CUInt -> Out CUInt -> Out CUInt -> IO HErr_t Source #

Returns the library version numbers through arguments. MAJNUM will be the major revision number of the library, MINNUM the minor revision number, and RELNUM the release revision number.

Note: When printing an HDF5 version number it should be printed as

    printf("%u.%u.%u", maj, min, rel)		or
    printf("version %u.%u release %u", maj, min, rel)

Return: Non-negative on success/Negative on failure

    herr_t H5get_libversion(unsigned *majnum, unsigned *minnum,
            unsigned *relnum);

p_H5get_libversion :: FunPtr (Out CUInt -> Out CUInt -> Out CUInt -> IO HErr_t) Source #

h5_check_version :: CUInt -> CUInt -> CUInt -> IO HErr_t Source #

Purpose: Verifies that the arguments match the version numbers compiled into the library. This function is intended to be called from user to verify that the versions of header files compiled into the application match the version of the hdf5 library.

Return: Success: 0, Failure: calls abort()

    herr_t H5check_version(unsigned majnum, unsigned minnum,
            unsigned relnum);

p_H5check_version :: FunPtr (CUInt -> CUInt -> CUInt -> IO HErr_t) Source #